<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class QuotChallanDetails extends Model
{
    protected $table='quot_challan_details';

    public function products(){
        return $this->belongsTo(Products::class,'product_id')->withTrashed();
    }

    public function indirect_tax(){
        return $this->belongsTo(IndirectTax::class,'indirect_tax_id')->withTrashed();
    }

    public function quot_challan(){
        return $this->belongsTo(QuotChallan::class, 'quot_challan_id');
    }
}
